GET /v2/version
curl --request GET \
--url https://api.example.com/v2/version \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/version"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"features": {
"experimental": {
"staticTime": {
"supported": true
},
"commandInspectionService": {
"supported": true
}
},
"userManagement": {
"supported": true,
"maxRightsPerUser": 123,
"maxUsersPageSize": 123
},
"partyManagement": {
"maxPartiesPageSize": 123
},
"offsetCheckpoint": {
"maxOffsetCheckpointEmissionDelay": {
"seconds": 123,
"nanos": 123,
"unknownFields": {
"fields": {}
}
}
},
"packageFeature": {
"maxVettedPackagesPageSize": 123
}
}
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}GET /v2/version
Read the Ledger API version
GET
/
v2
/
version
GET /v2/version
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Response
The version of the ledger API.
Required
The features supported by this Ledger API endpoint.
Daml applications CAN use the feature descriptor on top of version constraints on the Ledger API version to determine whether a given Ledger API endpoint supports the features required to run the application.
See the feature descriptions themselves for the relation between Ledger API versions and feature presence.
Required
Show child attributes
Show child attributes
Was this page helpful?
⌘I